export const constantRoute  = [
    {
        path: '/',
        name:'login',
        component: () => import("@/views/Login.vue"),
        meta: {
            title: '登录界面',
            hidden: true
        }
    },
    // 个人中心页面
    {
        path: '/User',
        redirect: '/PersonalCenter',
        name: 'person',
        component: () => import("@/layout/Manage.vue"),
        meta: {
            title: '用户管理',
            icon: 'Menu',
            hidden: false
        },
        children :[
            {
                path: '/PersonalCenter',
                name:'个人中心',
                component: ()=> import("@/views/User/PersonalCenter.vue"),
                meta: { 
                    title: '个人中心',
                    icon: 'User',
                    hidden: false
                }
            },
            {
                path: '/Upload',
                name:'文件上传',
                component: ()=> import("@/views/User/Upload.vue"),
                meta: { 
                    title: '文件上传' ,
                    icon: 'Upload',
                    hidden: false
                }
            },
            {
                path: '/UserManagement',
                name:'用户列表',
                component: ()=> import("@/views/User/UserManagement.vue"),
                meta: { 
                    title: '用户列表',
                    icon: 'Postcard',
                    hidden: false
                }
            }
        ]
    },
    // 实体类商品
    {
        path: '/entityProduct',
        redirect: '/AddProduct',
        component: () => import("@/layout/Manage.vue"),
        meta: {
            title : '实体类商品管理',
            icon: 'TakeawayBox',
            hidden: false
        },
        children: [
            {
                path: '/AddProduct',
                name: '添加商品',
                component: ()=> import("@/views/Commodity/AddProduct.vue"),
                meta: { 
                    title: '添加商品',
                    icon: 'Edit',
                    hidden: false
                }
            },
            {
                path: '/MerchandiseCenter',
                name: '商品中心',
                component: ()=> import("@/views/Commodity/MerchandiseCenter.vue"),
                meta: { 
                    title: '商品中心' ,
                    icon: 'DataAnalysis',
                    hidden: false
                }
            },
            {
                path: '/TypeManagement',
                name: '类别管理',
                component: ()=> import("@/views/Commodity/TypeManagement.vue"),
                meta: { 
                    title: '类别管理' ,
                    icon: 'Files',
                    hidden: false
                }
            }
        ]
    },
    // 服务类商品
    {
        path: '/serviceProduct',
        redirect: '/AddServiceProduct',
        component: () => import("@/layout/Manage.vue"),
        meta: {
            title: '服务类商品管理',
            icon : 'Calendar',
            hidden: false
        },
        children: [
            {
                path: '/AddServiceProduct',
                name: '添加服务类商品',
                component: ()=> import("@/views/ServiceType/AddServiceProduct.vue"),
                meta: { 
                    title: '添加服务类商品' ,
                    icon: 'Edit',
                    hidden: false
                }
            },
            {
                path: '/ProductCenter',
                name: '服务类商品管理中心',
                component: ()=> import("@/views/ServiceType/ProductCenter.vue"),
                meta: { 
                    title: '服务类商品管理中心' ,
                    icon: 'DataBoard',
                    hidden: false
                }
            }
        ]
    },
    // 订单管理(服务类+实体类)
    {
        path: '/order',
        redirect: '/OrderList',
        component: () => import("@/layout/Manage.vue"),
        meta: {
            title: '商品订单管理',
            icon: 'DataAnalysis',
            hidden: false
        },
        children: [
            {
                path: '/OrderList',
                name: '订单列表',
                component: ()=> import("@/views/Orders/OrderList.vue"),
                meta: { 
                    title: '实体商品订单列表' ,
                    icon: 'Box',
                    hidden: false
                }
            },
            {
                path: '/ServiceOrderList',
                name: '服务类订单列表',
                component: ()=> import("@/views/Orders/ServiceOrderList.vue"),
                meta: { 
                    title: '服务类订单列表' ,
                    icon: 'MessageBox',
                    hidden: false
                }
            },
            {
                path: '/PendingServiceOrderList',
                name: '服务类商品待处理订单',
                component: ()=> import("@/views/Orders/PendingServiceOrderList.vue"),
                meta: { 
                    title: '服务类商品待处理订单' ,
                    icon: 'Notification',
                    hidden: false
                }
            }
        ]
    },
    // 优惠卷信息
    {
        path: '/coupon',
        redirect: '/AddCoupons',
        component: () => import("@/layout/Manage.vue"),
        meta: {
            title: '优惠卷管理',
            icon: 'Discount',
            hidden: false
        },
        children: [
            {
                path: '/AddCoupons',
                name:'添加优惠券',
                component: ()=> import("@/views/Coupons/AddCoupons.vue"),
                meta: { 
                    title: '添加优惠券' ,
                    icon: 'Edit',
                    hidden: false
                }
            },
            {
                path: '/CouponCenter',
                name:'优惠券中心',
                component: ()=> import("@/views/Coupons/CouponCenter.vue"),
                meta: { 
                    title: '优惠券中心' ,
                    icon: 'DataAnalysis',
                    hidden: false
                }
            }
        ]
    },
    // 写真预约
    {
        path: '/outfitManage',
        redirect: '/AddCostumes',
        component: () => import("@/layout/Manage.vue"),
        meta: {
            title: '写真预约管理',
            icon: 'Camera',
            hidden: false
        },
        children: [
            {
                path: '/AddCostumes',
                name: '添加写真产品',
                component: ()=> import("@/views/CostumeAppointments/AddCostumes.vue"),
                meta: { 
                    title: '添加写真产品' ,
                    icon: 'Edit',
                    hidden: false
                }
            },
            {
                path: '/ClothingGrade',
                name: '写真产品类别',
                component: ()=> import("@/views/CostumeAppointments/ClothingGrade.vue"),
                meta: { 
                    title: '写真产品类别' ,
                    icon: 'Files',
                    hidden: false
                }
            },
            {
                path: '/ManagementCenter',
                name: '写真产品中心',
                component: ()=> import("@/views/CostumeAppointments/ManagementCenter.vue"),
                meta: { 
                    title: '写真产品中心' ,
                    icon: 'Tickets',
                    hidden: false
                }
            },
            {
                path: '/AppointmentOrder',
                name: '写真预约订单',
                component: ()=> import("@/views/CostumeAppointments/AppointmentOrder.vue"),
                meta: { 
                    title: '写真预约订单' ,
                    icon: 'MessageBox',
                    hidden: false
                }
            },
            {
                path: '/OutfitOrderDetail/:id',
                name: '写真预约订单详情',
                component: ()=> import("@/views/CostumeAppointments/OutfitOrderDetail.vue"),
                meta: { 
                    title: '写真订单详情' ,
                    hidden: true
                }
            }
        ]
    },
    // 退款管理
    {
        path: '/refund',
        redirect: '/refundManage',
        component: () => import("@/layout/Manage.vue"),
        meta: {
            title: '退款管理',
            icon: 'Switch',
            hidden: false
        },
        children:[
            {
                path: '/refundManage',
                name:'退款管理',
                component: ()=> import("@/views/Refund/Refund.vue"),
                meta: { 
                    title: '退款管理' ,
                    icon: 'Money',
                    hidden: false
                }
            },
        ]
    },
    {
        path: '/Test',
        name:'测试页面',
        component: () => import("../views/test.vue")
    }
]
